Bug 1712890 - engine-setup should check for snapshots in unsupported CL
Summary: engine-setup should check for snapshots in unsupported CL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.4.0
: ---
Assignee: Yedidyah Bar David
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks: 1715877
TreeView+ depends on / blocked
 
Reported: 2019-05-22 12:28 UTC by Marina Kalinin
Modified: 2020-08-04 13:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, when you upgrade RHV, engine-setup notifies you if virtual machines in the environment have snapshots whose cluster levels are incompatible with the RHV version you are upgrading to. It is safe to let it proceed, but it is not safe to use these snapshots after the upgrade. For example, it is not safe to preview these snapshots. There is an exception to the above: engine-setup does not notify you if the virtual machine is running the {engine-name} as a self-hosted engine. For hosted-engine, it provides an automatic "Yes" and upgrades the virtual machine without prompting or notifying you. It is unsafe to use snapshots of the hosted-engine virtual machine after the upgrade.
Clone Of:
: 1715877 (view as bug list)
Environment:
Last Closed: 2020-08-04 13:19:21 UTC
oVirt Team: Integration
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:19:56 UTC
oVirt gerrit 100388 0 'None' MERGED packaging: setup: Prompt about incompatible snapshots 2020-07-29 23:15:59 UTC
oVirt gerrit 100866 0 'None' MERGED packaging: setup: Allow not logging database query results 2020-07-29 23:15:59 UTC

Description Marina Kalinin 2019-05-22 12:28:56 UTC
If a VM has a snapshot made in DC compatibility level that is not supported by the version we are upgrading to, the snapshot would not be usable in that version. 

engine-setup should check for snapshots in unsupported CL, let the user know about this + provide the ability to stop the upgrade, if user decides so.

For example, if a VM has a snapshot created in 4.0, and engine-setup is upgrading to CL 4.3, it should detect those snapshots and let the user know.

Comment 1 Marina Kalinin 2019-05-22 12:30:14 UTC
Michal, can you please provide the exact requirements here to detect when the CL will not be supported in the new version?

Comment 2 Michal Skrivanek 2019-05-22 12:56:22 UTC
similar to existing stuff in https://github.com/oVirt/ovirt-engine/blob/master/packaging/setup/plugins/ovirt-engine-checks/ovirt-engine/db/versions.py
it just should go through the snapshots in addition

Comment 3 Yedidyah Bar David 2019-05-29 07:17:03 UTC
(In reply to Marina Kalinin from comment #0)
> engine-setup should check for snapshots in unsupported CL, let the user know
> about this + provide the ability to stop the upgrade, if user decides so.

Text?

Perhaps some link to more information? E.g. what specific actions will not work if you do upgrade? What happens if you still tries these actions (IIRC I lost VMs in the past by trying to preview such snapshots)?

Default to "No" (abort setup)?

If user says "Yes", ask again to confirm?

Comment 4 Yedidyah Bar David 2019-05-29 10:03:09 UTC
(In reply to Michal Skrivanek from comment #2)
> similar to existing stuff in
> https://github.com/oVirt/ovirt-engine/blob/master/packaging/setup/plugins/
> ovirt-engine-checks/ovirt-engine/db/versions.py
> it just should go through the snapshots in addition

Now created a snapshot, and the only place in the db where I can see the compatibility level of that snapshot is in the xml dump of the vm in vm_configuration (in table "snapshots"). Is it indeed the only place? And I should parse the xml for each snapshot, checking "/ovf:Envelope/Content/ClusterCompatibilityVersion" for each, comparing with current version?

Comment 5 Michal Skrivanek 2019-05-29 10:10:59 UTC
yes, that is correct
we should add that to rhv-log-collector-analyzer as well

Comment 8 Petr Matyáš 2019-12-04 15:44:08 UTC
Verified on ovirt-engine-4.4.0-0.6.master.el7.noarch

Comment 10 RHV bug bot 2019-12-13 13:16:29 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 11 RHV bug bot 2019-12-20 17:45:58 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 12 RHV bug bot 2020-01-08 14:47:59 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 13 RHV bug bot 2020-01-08 15:18:26 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 14 RHV bug bot 2020-01-24 19:49:45 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 21 Yedidyah Bar David 2020-07-22 11:27:54 UTC
In a private discussion we decided to include the hosted-engine case in the doc-text of current bug, instead of partially duplicating it for bug 1822535.

Comment 23 errata-xmlrpc 2020-08-04 13:19:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.